commit: a1a93f0ab3236b45d1391e2ce8d1c341c09135f7
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 13 22:58:36 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Dec 13 22:58:36 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1a93f0a
x11-libs/libGLw: Port to EAPI 7
Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>
x11-libs/libGLw/libGLw-8.0.0.ebuild | 28 ++++++++++++++++------------
1 file changed, 16 insertions(+), 12 deletions(-)
diff --git a/x11-libs/libGLw/libGLw-8.0.0.ebuild
b/x11-libs/libGLw/libGLw-8.0.0.ebuild
index f0bdadb7712..94fc2c6d16f 100644
--- a/x11-libs/libGLw/libGLw-8.0.0.ebuild
+++ b/x11-libs/libGLw/libGLw-8.0.0.ebuild
@@ -1,20 +1,18 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
+EAPI=7
MY_P=glw-"${PV}"
-inherit autotools-utils
-
DESCRIPTION="Mesa GLw library"
HOMEPAGE="http://mesa3d.sourceforge.net/"
SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/glw/${MY_P}.tar.bz2"
-SLOT="0"
LICENSE="MIT"
+SLOT="0"
KEYWORDS="amd64 ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
-IUSE="+motif static-libs"
+IUSE="+motif"
RDEPEND="
!media-libs/mesa[motif]
@@ -22,14 +20,20 @@ RDEPEND="
x11-libs/libXt
x11-libs/motif:0
virtual/opengl"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
-S="${WORKDIR}"/${MY_P}
+S="${WORKDIR}/${MY_P}"
src_configure() {
- local myeconfargs=(
+ econf \
+ --disable-static \
--enable-motif
- )
- autotools-utils_src_configure
+}
+
+src_install() {
+ default
+
+ # no static archives
+ find "${D}" -name '*.la' -delete || die
}